% program for the calculation of Vxz field of a 3D prism in gravimetry
clear all; close all;
G = 6.67E-11; sigma = 1000;
xsi1 = -500; xsi2 = 500;  eta1 = -500; eta2 = 500;  dzeta1 = 100; dzeta2 = 4000;
zc = 0; yc = 0; xc = -3000;  i = 1;
 while xc<=3000
     X1=xsi1-xc; X2=xsi2-xc;  Y1=eta1-yc; Y2=eta2-yc;  Z1=dzeta1-zc; Z2=dzeta2-zc;
        pomoc = Vxz_pomoc(X2,Y2,Z2)-Vxz_pomoc(X1,Y2,Z2)-Vxz_pomoc(X2,Y1,Z2)...
              +Vxz_pomoc(X1,Y1,Z2)-Vxz_pomoc(X2,Y2,Z1)+Vxz_pomoc(X1,Y2,Z1)...
              +Vxz_pomoc(X2,Y1,Z1)-Vxz_pomoc(X1,Y1,Z1);
          Vxz(i) = -1E5*G*sigma*pomoc;    xcor (i) = xc;
     xc = xc + 2; i = i + 1;
 end;
n = i-1;

% plotting the Vxz-function along a x-profile
plot(xcor,Vxz); xlabel('x cor [m]','FontSize',10); ylabel('Vxz[mGal/m]','FontSize',10);

% saving the Vxz-function
  for ji=1:n
       savearr(ji,1) = xcor(ji) + 1000;
       savearr(ji,2) = Vxz(ji);
  end;  
  save  Vxz_3Dprism.dat  savearr -ascii  -double;
% --------------------------------------------------------------------